-- Batch bsp processing, including subdirectories
--
-- Make sure to have makeBsp.exe in c:\tmpmax
-- a log is saved in c:\tmpmax\_bspBatch.log use it to find problem meshes you need to fix
--
-- Known issue: If subdirectory path is long, the search will find the folders
--               This is a problem with 3dsmax's getDirectories() function
--
fn batchBspProc thisDir arg1=
(	local tmppmax = "C:\\tmpMax\\"

	local CmdStr = "\"" + tmppmax + "MakeBsp.exe\" "
	arg1 = " " + (arg1 as string)

	local dirFound = getDirectories (thisDir + "\*")
	format "searching: %\n" (thisDir + "\*")
	local f = createFile (tmppmax + "_batchBsp.bat")
	if f!= undefined then
	(
		for i=1 to dirFound.count do
		(
			format "%\n" dirFound[i]
			local FiFound = getFiles (dirFound[i]+"*.sm")
			for j=1 to fiFound.count do
			(
				format "@%\n" (CmdStr + "\"" + FiFound[j] + "\"" + arg1) to:f
			)
		)
		close f
		DOSCommand (tmppmax + "_batchBsp.bat >" + tmppmax + "_bspBatch.log")
	)
	else messagebox ("ERROR! Could not create:\n  " + ((tmppmax + "_batchBsp.bat") as string))
	
)

(
	clearListener()
	local tmpSavePth = getSavePath caption:"Batch process .sm directories"
	if tmpSavePth != undefined do batchBspProc tmpSavePth "-a"
)